%define version 3.1.1
%define release 1
%define name    nagios-plugins-lm_sensors
%define _naglib		/usr/lib/nagios
%define _plugindir	%{_naglib}/plugins/
%define _pname  check_lm_sensors

Summary:   A Nagios plugin to monitor sensors values
Name:      %{name}
Version:   %{version}
Release:   10.1
License:   GPL
Packager:  Matteo Corti <matteo.corti@id.ethz.ch>
Group:     Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source:    http://www.id.ethz.ch/people/allid_list/corti/%{_pname}-%{version}.tar.gz
BuildArch: noarch

Requires: hddtemp
Requires: perl
Requires: perl-Nagios-Plugin
Provides: %{_pname}

%description
check_lm_sensors is a Nagios plugin to monitor the values of on board sensors and hard
disk temperatures on Linux systems

%prep
%setup -q -n %{_pname}-%{version}

%build
sed -i s@#\!perl@#\!/usr/bin/perl@ check_lm_sensors
%__install -m 0755 -d %{buildroot}%{_mandir}/man3
chmod -x AUTHORS Changes NEWS README INSTALL TODO COPYING VERSION

%install
%__install -D -m 0755 %{_pname} %{buildroot}%{_plugindir}/%{_pname}
pod2man %{_pname}.pod > %{buildroot}%{_mandir}/man3/%{_pname}.3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS Changes NEWS README INSTALL TODO COPYING VERSION
%attr(0755, root, root) %{_plugindir}/%{_pname}
%attr(0655, root, root) %{_mandir}/man3/%{_pname}.3*
%dir %{_naglib}
%dir %{_plugindir}

%changelog
* Fri Oct 17 2008 Carsten Schoene <cs@linux-administrator.com>
- changed to manual installation, Makefile.PL does not work correctly for chrooted installs

* Fri Oct 17 2008 Matteo Corti <matteo.corti@id.ethz.ch> - 3.1.1-0
- short pause before reading the output of 'sensors'

* Tue Jun 10 2008 Matteo Corti <matteo.corti@id.ethz.ch> - 3.1.0-0
- repackaging and cleanup

* Thu Oct  4 2007 Matteo Corti <matteo.corti@id.ethz.ch> - 3.0.1-0
- packaged version 3.0.1

* Wed Oct  3 2007 Matteo Corti <matteo.corti@id.ethz.ch> - 3.0.0-2
- added the perl-Nagios-Plugin dependency

* Wed Oct  3 2007 Matteo Corti <matteo.corti@id.ethz.ch> - 3.0.0-1
- included the updated ChangeLog and NEWS files

* Wed Oct  3 2007 Matteo Corti <matteo.corti@id.ethz.ch> - 3.0.0-0
- Upgraded to 3.0.0

* Tue Jul 10 2007 Matteo Corti <matteo.corti@id.ethz.ch> - 2.0-1
- updated to 2.0

* Wed Jun 20 2007 Matteo Corti <matteo.corti@id.ethz.ch> - 1.1-4
- Requires perl and hddtemp

* Mon Jun 18 2007 Matteo Corti <matteo.corti@id.ethz.ch> - 1.0-0
- Initial release
